s3games.engine

## Class Element

- java.lang.Object
- - s3games.engine.Element

-     public class Element
      extends java.lang.Object

  Element is something that can be moved from a location to another location

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `initialLocation` the name of the location the element is placed when the game starts, elements must be located somewhere at any moment
    `int` | `initialOwner` the player number who owns this element when the game starts, or 0, if we do not care
    `int` | `initialState` the state of the element (a number 1,2, etc.) when the game starts
    `int` | `initialZindex` this is used just for graphical purposes - elements can have z-index which determines how their images overlap on the board
    `IndexedName` | `name` name of the element - we use IndexedName class since it can have an index, such as el(2)
    `java.lang.String` | `type` element type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Element(java.lang.String name)` construct an element with the specified name - fill the structure items manually then

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public IndexedName name

      name of the element - we use IndexedName class since it can have an index, such as el(2)

    - #### type

          public java.lang.String type

      element type

    - #### initialOwner

          public int initialOwner

      the player number who owns this element when the game starts, or 0, if we do not care

    - #### initialLocation

          public java.lang.String initialLocation

      the name of the location the element is placed when the game starts, elements must be located somewhere at any moment

    - #### initialState

          public int initialState

      the state of the element (a number 1,2, etc.) when the game starts

    - #### initialZindex

          public int initialZindex

      this is used just for graphical purposes - elements can have z-index which determines how their images overlap on the board

  - ### Constructor Detail

    - #### Element

          public Element(java.lang.String name)

      construct an element with the specified name - fill the structure items manually then